Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Member Functions | Private Attributes | List of all members
eZ\Publish\Core\REST\Server\Security\CsrfTokenManager Class Reference
Inheritance diagram for eZ\Publish\Core\REST\Server\Security\CsrfTokenManager:

## Public Member Functions
| __construct (TokenGeneratorInterface $generator=null, TokenStorageInterface $storage=null, RequestStack $requestStack=null)
| hasToken ($tokenId)
| Tests if a CSRF token is stored. More...

## Private Member Functions
| resolveNamespace (RequestStack $requestStack=null)
| Resolves token namespace. More...

## Private Attributes
| $storage
| $namespace

## Detailed Description

Definition at line 15 of file CsrfTokenManager.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Server\Security\CsrfTokenManager::__construct | ( | TokenGeneratorInterface | $generator = `null`,
|  | TokenStorageInterface | $storage = `null`,
|  | RequestStack | $requestStack = `null`
| ) |  |

Definition at line 23 of file CsrfTokenManager.php.

References eZ\Publish\Core\REST\Server\Security\CsrfTokenManager\$storage, and eZ\Publish\Core\REST\Server\Security\CsrfTokenManager\resolveNamespace().

## Member Function Documentation

## ◆ hasToken()

eZ\Publish\Core\REST\Server\Security\CsrfTokenManager::hasToken | ( |  | $tokenId | ) |

Tests if a CSRF token is stored.

Parameters

  string | $tokenId |

Returns
  bool

Definition at line 41 of file CsrfTokenManager.php.

## ◆ resolveNamespace()

eZ\Publish\Core\REST\Server\Security\CsrfTokenManager::resolveNamespace | ( | RequestStack | $requestStack = `null` | ) |
| private

Resolves token namespace.

Parameters

  RequestStack | $requestStack |

Returns
  string

Definition at line 53 of file CsrfTokenManager.php.

Referenced by eZ\Publish\Core\REST\Server\Security\CsrfTokenManager\__construct().

## Member Data Documentation

## ◆ $namespace

eZ\Publish\Core\REST\Server\Security\CsrfTokenManager::$namespace
| private

Definition at line 21 of file CsrfTokenManager.php.

## ◆ $storage

eZ\Publish\Core\REST\Server\Security\CsrfTokenManager::$storage
| private

Definition at line 18 of file CsrfTokenManager.php.

Referenced by eZ\Publish\Core\REST\Server\Security\CsrfTokenManager\__construct().

The documentation for this class was generated from the following file:

- CsrfTokenManager.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.